<!DOCTYPE html>
{% extends "base.html" %}

{% load static %}

{% block title %}Welcome to AdopsiPet!{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/homepage.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/docs.theme.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/owl.carousel.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/owl.theme.default.min.css' %}">
{% endblock %}

{% block content %}
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
        </ol>
        <div class="carousel-inner">
            <div class="carousel-item active">
                <img class="d-block w-100" src="{% static 'images/homepage_background.jpg' %}" alt="First slide">
            </div>
            <div class="carousel-item">
                <img class="d-block w-100" src="{% static 'images/homepage_background_2.jpg' %}" alt="Second slide">
            </div>
        </div>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
        </a>
    </div>

    <div class="pet-available-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1> 🐾 Pet Available for Adoption 🐾 </h1>
            </div>
        </div>
        <div class="row">
            {% for pet in pet_list %}
            <div class="col-md-3 px-2">
                <div class="pet-info pt-3 w-100">
                    {% for photo in photo_list %}
                        {% if photo.pet == pet %}
                            <div class="pet-photo mx-auto" style="
                                background: url('{{ photo.photo.url }}') no-repeat center center;
                                background-size: cover;
                                -webkit-background-size: cover;
                                -moz-background-size: cover;
                                -o-background-size: cover;
                                margin-top: 10px;
                            "></div>
                            <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                        {% endif %}
                    {% endfor %}
                    <p style="font-size: 22px">{{ pet.pet_name }}
                        <br>
                        <i style="font-size: 16px">{{ pet.pet_type }} - {{ pet.pet_age }} - {{ pet.pet_breed }}</i>
                    </p>
                    <div class="more-info">
                        <a href="/detail/{{ pet.id }}/">
                            <p>More Info</p>
                        </a>
                    </div>
                </div>
            </div>
            {% endfor %}
            <div class="col-md-3 px-2">
                <div class="more-pet">
                    <img src="{% static 'images/dog_paw.png' %}">
                    <p>More pets are waiting for you</p>
                    <div class="more-pet-info">
                        <a href="/category/">
                            <p>Meet Them</p>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="testimonial-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1> 🐾 Testimonials 🐾</h1>
            </div>
        </div>

        {% if testimonial_count > 0 %}  


        <!-- TESTIMONIALS -->
        <section class="testimonials">
        <div class="container">

        <div class="row">
            <div class="col-sm-12">
            <div id="customers-testimonials" class="owl-carousel">
                {% for list in data %}
                <div class="item">
                <div class="shadow-effect">
                    <img src="{% static 'images/testimonial_profile.png' %}">
                    <p>{{ list.testimonial }}</p>
                </div>
                <div class="testimonial-name">{{ list.name }}<br>{{ list.occupation }}</div>
                </div>
                {% endfor %}
            </div>
            </div>
        </div>
        </div>
        </section>
        <!-- END OF TESTIMONIALS -->

        {% else %}

        <div class="no-testimonial" style="text-align: center; font-family: BalooThambi; font-size: 25px">
            <img src="{% static 'images/for-pet-list.jpg' %}" style="width: 250px; height: 250px; margin: 0 auto">
            <p> Currently, there's no customer testimonial 😔</p>
            {% if user.is_authenticated %}
            <p>Please give us a feedback! ♡</p>
            {% endif %}
        </div>

        {% endif %}
    </div>

    {% if user.is_authenticated %}
    <div class="form-testimonial-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1> 🐾 Post Your Testimonial 🐾 </h1>
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <form method="POST" action="{% url 'inez:testimonial' %}">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="id_name">Name :</label>
                        <input class="form-control" type="text" name="name" maxlength="50" required="" id="id_name">
                    </div>
                    <div class="form-group">
                        <label for="id_occupation">Occupation :</label>
                        <input class="form-control" type="text" name="occupation" maxlength="50" required="" id="id_occupation">
                    </div>
                    <div class="form-group">
                        <label for="id_testimonial">Testimonial :</label>
                        <textarea class="form-control" name="testimonial" rows="4" maxlength="500" required="" id="id_testimonial"></textarea>
                    </div>

                    <button type="submit" class="btn btn-light"
                    style="background-color: #E85900; color: white; border-radius: 10px;
                    margin: 2.5% auto; float: right;
                    font-family: BalooThambi">Send</button>
                </form>
            </div>
        </div>
    </div>
    {% endif %}


{% endblock %}

{% block scripts %}
<script src="{% static 'js/owl.carousel.js' %}"></script>
<script src="{% static 'js/homepage.js' %}"></script>
{% endblock %}